function [x,i]=bisseccao(f,a,b)
%Recebe F - uma funo a que se querem determinar os zeros
%       a,b - os extremos de um intervalo em que f(a)f(b)<0
%
%Devolve x - a aproximao final
%        i - o nmero de iteraes realizadas

%Parmetros
tol=10^-10;

%Verifica as condies do intervalo dado
if f(a)*f(b)>0 || b<a
    warning('O intervalo  invlido')
else
    %Se os dados so vlidos procede:    
    %Inicializa while
    x=(a+b)/2;
    error=(b-a)/2;
    i=0;
    
    %Iteraes
    while error>tol
        if f(x)*f(a)<=0
            b=x;
        else
            a=x;
        end
        x=(a+b)/2;
        i=i+1;
        error=error/2;
    end
    
end
    
 