
%Dados do problema
F=inline('x^3-x');
dF=inline('3*x^2-1');
n=500;

%Inicializao do vector dos x0
a=1.5;
z=linspace(-a,a,n);

%Percorrer os x0
for i=1:n
    
    %Correr Newton para cada valor
    [x,c]=Newton(F,dF,z(i));
    
    if c 
        %se converge ento faz o plot de acordo com a cor
        if round(x)==-1
            plot(z(i),F(z(i)),'b.')
        else
            if round(x)==0
                plot(z(i),F(z(i)),'r.')            
            else
                if round(x)==1
                    plot(z(i),F(z(i)),'g.')                    
                end
            end
        end
    else
        %Se no converge faz o plot a preto
       plot(z(i),F(z(i)),'k.') 
    end
    hold on
end

%Desenho do eixo para servir de referncia
plot(z,zeros(1,n),'k')
hold off